# Uses of Interface
io.dapr.v1.DaprAppCallbackProtos.TopicSubscriptionOrBuilder

Packages that use DaprAppCallbackProtos.TopicSubscriptionOrBuilder
Package
Description
io.dapr.v1

## Uses of DaprAppCallbackProtos.TopicSubscriptionOrBuilder in io.dapr.v1

Classes in io.dapr.v1 that implement DaprAppCallbackProtos.TopicSubscriptionOrBuilder
Modifier and Type
Class
Description
`static final class`
`DaprAppCallbackProtos.TopicSubscription`
TopicSubscription represents topic and metadata.
`static final class`
`DaprAppCallbackProtos.TopicSubscription.Builder`
TopicSubscription represents topic and metadata.
Methods in io.dapr.v1 that return DaprAppCallbackProtos.TopicSubscriptionOrBuilder
Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder.`getSubscriptionsOrBuilder(int index)`
The list of topics.
`DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
DaprAppCallbackProtos.ListTopicSubscriptionsResponse.`getSubscriptionsOrBuilder(int index)`
The list of topics.
`DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder.`getSubscriptionsOrBuilder(int index)`
The list of topics.
Methods in io.dapr.v1 that return types with arguments of type DaprAppCallbackProtos.TopicSubscriptionOrBuilder
Modifier and Type
Method
Description
`List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder>`
DaprAppCallbackProtos.ListTopicSubscriptionsResponse.Builder.`getSubscriptionsOrBuilderList()`
The list of topics.
`List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder>`
DaprAppCallbackProtos.ListTopicSubscriptionsResponse.`getSubscriptionsOrBuilderList()`
The list of topics.
`List<? extends DaprAppCallbackProtos.TopicSubscriptionOrBuilder>`
DaprAppCallbackProtos.ListTopicSubscriptionsResponseOrBuilder.`getSubscriptionsOrBuilderList()`
The list of topics.